%define		_state		stable
%define		orgname		okular
%define		qtver		4.8.1

Summary:	K Desktop Environment - KDE universal document viewer
Summary(pl.UTF-8):	K Desktop Environment - Uniwersalna przeglądarka dokumentów dla KDE
Name:		kde4-okular
Version:	4.9.0
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	c843ff028ce65b8b7f52708bd2ed50b0
URL:		http://www.kde.org/
BuildRequires:	chmlib-devel
BuildRequires:	djvulibre-devel
BuildRequires:	docbook-dtd42-xml
BuildRequires:	ebook-tools-devel
BuildRequires:	exiv2-devel >= 0.18.2
BuildRequires:	lcms-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libspectre-devel >= 0.2.2
BuildRequires:	poppler-Qt-devel
BuildRequires:	poppler-Qt-devel
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qimageblitz-devel >= 0.0.6
Obsoletes:	kde4-kdegraphics-okular < 4.6.99
Obsoletes:	kio_msits < 4.6.99
Obsoletes:	okular <= 4.8.0
Suggests:	/usr/bin/lpr
Suggests:	kde4-kdegraphics-mobipocket
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Okular is a universal document browser for KDE.

%description -l pl.UTF-8
Okular to uniwersalna przeglądarka dokumentów dla KDE.

%package devel
Summary:	okular development files
Summary(pl.UTF-8):	Pliki dla programistów okular
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdegraphics-devel < 4.6.99
Obsoletes:	okular-devel < 4.8.0

%description devel
okular development files.

%description devel -l pl.UTF-8
Pliki dla programistów okular.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/okular
%attr(755,root,root) %{_libdir}/libokularcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libokularcore.so.?
%attr(755,root,root) %{_libdir}/kde4/okular*.so
%attr(755,root,root) %{_libdir}/kde4/kio_msits.so
%{_datadir}/apps/okular
%{_datadir}/config.kcfg/okular.kcfg
%{_datadir}/config.kcfg/gssettings.kcfg
%{_datadir}/kde4/services/okular*.desktop
%{_datadir}/kde4/services/libokular*.desktop
%{_datadir}/kde4/services/msits.protocol
%{_datadir}/kde4/servicetypes/okular*.desktop
%{_desktopdir}/kde4/okular*.desktop
%{_iconsdir}/hicolor/*/apps/okular.png
%{_kdedocdir}/en/okular

%files devel
%defattr(644,root,root,755)
%{_includedir}/okular
%{_libdir}/cmake/Okular
%attr(755,root,root) %{_libdir}/libokularcore.so
%changelog
* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fb1572
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c2c067
- up to 4.8.4

* Thu May 24 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ac3ed3
- release 2

* Fri May 04 2012 Szymon Siwek <sls@pld-linux.org> ebd369d
- BR: docbook-dtd42-xml

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 424da54
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 24595b2
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d72bb92
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cc2af4e
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f447d8b
- rel 2; fix S for mobipocket + O

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 70edc45
- now as kde4-okular

* Sat Jan 21 2012 Paweł Sikora <pluto@pld-linux.org> e95fa0b
- suggest any package with /usr/bin/lpr.

* Sat Jan 21 2012 Paweł Sikora <pluto@pld-linux.org> a206630
- suggests cups-clients for printing support (okular uses a 'lpr' binary).

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5db4673
- up to 4.8.0

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> dc4860b
- release 2

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 34d5fe0
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 91acf78
- up to 4.7.3

* Tue Oct 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e78893
- up to 4.7.2

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c780f19
- add S: mobipocket (for mobipocket support)

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a49f7a8
- rel 3

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5864d1a
- rel 2; BR libspectre-devel

